// Copyright (c)2003, TopCoder, Inc. All rights reserved
// @author BAman
// @author adic
// @version 1.0

using System;
using System.Runtime.Serialization;

namespace TopCoder.Util.ConfigurationManager
{
    /// <summary>
    /// Exception thrown when a namespace name conflict occurs
    /// (a namespace is loaded and a namespace with the same name 
    /// already exists).
    /// </summary>
    [Serializable]
    public class NamespaceClashException: Exception
    {
        /// <summary>
        /// Constructor.
        /// </summary>
        public NamespaceClashException(): base()
        {
        }

        /// <summary>
        /// Constructor.
        /// </summary>
        /// 
        /// <param name="message">the error message</param>
        public NamespaceClashException(string message): base(message)
        {
        }
        
        /// <summary>
        /// Constructor.
        /// </summary>
        /// <param name="info">the serialization info</param>
        /// <param name="context">the streaming context</param>
        public NamespaceClashException(SerializationInfo info, StreamingContext context): base(info, context)
        {
        }

        /// <summary>
        /// Constructor.
        /// </summary>
        /// 
        /// <param name="message">the error message</param>
        /// <param name="inner">the inner exception</param>
        public NamespaceClashException(string message, Exception inner): 
                base(message, inner)
        {
        }
    }
}
