// Copyright (c)2005, TopCoder, Inc. All rights reserved
// @author TCSDEVELOPER
// @version 2.0

using System;

namespace TopCoder.Util.ConfigurationManager
{
    /// <summary>
    /// ParsingPreferenceException will be thrown in the 
    /// IParsingPreference and its subclasses if the string value 
    /// does not follow the user's preference rules.
    /// </summary>
    [Serializable]
    public class ParsingPreferenceException : Exception
    {
        /// <summary>
        /// Creates a new instance of ParsingPreferenceException with an error message.
        /// </summary>
        /// <param name="message">Error message that caused this exception.</param>
        public ParsingPreferenceException(string message) : base(message)
        {
            // empty body.
        }
    }
}
