/*
 * Copyright (c)2005, TopCoder, Inc. All rights reserved
 * @author sinaddcos
 * @version 2.0
 */
using System;
using System.Collections;

namespace TopCoder.Util.ConfigurationManager
{
	/// <summary>
	/// A dummy implementation of the IDataHandler to test the pluggable handler.
	/// In this implementation only the name namespaces is are stored in an ArrayList.
	/// </summary>
	public class DummyDataHandler : IDataHandler
	{
        /// <summary>
        /// An IDictonary to store the necessary properties.
        /// In this implementation, it is not used.
        /// </summary>
        IDictionary properties = null;

        /// <summary>
        /// Store the namespaces.
        /// </summary>
        private static IList namespaces = new ArrayList();

        /// <summary>
        /// ctor.
        /// </summary>
        /// <param name="properties">the properties</param>
		public DummyDataHandler(IDictionary properties)
		{
            this.properties = properties;
        }


        /// <summary>
        /// Load the namespaces.
        /// </summary>
        /// <param name="errorCallback">the error call back</param>
        /// <returns>An IList of namespaces.</returns>
        public IList Load(ErrorCallback errorCallback)
        {
            return namespaces;
        }

        /// <summary>
        /// Save the namespaces list.
        /// </summary>
        /// <param name="namespacesList">A list of namespaces</param>
        public void Save(IList namespacesList)
        {
            namespaces = namespacesList;
        }
    }
}
