// Copyright (c)2005, TopCoder, Inc. All rights reserved
// @author TCSDEVELOPER
// @version 2.0

using System;
using TopCoder.Util.ConfigurationManager;

namespace TopCoder.Util.ConfigurationManager.UnitTests
{
    /// <summary>
    /// An implementation of IStringConverter interface
    /// </summary>
    public class StringConverter1 : IStringConverter
    {
        #region IStringConverter Members

        /// <summary>
        /// Converts the given string value to the requested type.
        /// </summary>
        /// <param name="val">String value to be converted.</param>
        /// <param name="type">The requested type.</param>
        /// <returns>The string value converted to the requested type.</returns>
        /// <exception cref="NotSupportedException">
        /// If unable to convert the given value.
        /// </exception>
        public object Convert(string val, Type type)
        {
            if (val == null) 
            { 
                if (type == typeof(int)) 
                { 
                    return 0; 
                } 
                else if (type == typeof(double)) 
                {
                    return 0.0; 
                } 
                else if (type == typeof(string))
                {
                    return "";
                }
                else 
                { 
                    throw new NotSupportedException(
                        "Cannot convert the input value to the requested type." ); 
                } 
            } 
        
            return DefaultStringConverter.Instance.Convert(val, type);
        }

        #endregion
    }
}
